CC=gcc
CFLAGS=-ansi -pedantic -lgraph

all:Jeux

run:Jeux
	./Jeux

Jeux:main.o scene.o serpent.o timer.o score.o
	$(CC) $(CFLAGS) -o Jeux main.o scene.o serpent.o timer.o score.o 

main.o:main.c fonction.h
	$(CC) -c main.c $(CFLAGS)

scene.o:scene.c fonction.h
	$(CC) -c scene.c $(CFLAGS)

serpent.o: serpent.c fonction.h
	$(CC) -c serpent.c $(CFLAGS)

timer.o:timer.c fonction.h
	$(CC) -c timer.c $(CFLAGS)

score.o:score.c fonction.h
	$(CC) -c score.c $(CFLAGS)

clean:-rm -f *.o Jeux
